<%@ page language="java" import="java.util.*" pageEncoding="gbk" %>
<!DOCTYPE html>
<html>
<head lang="en">
    <meta http-equiv="Content-Type" content="text/html; charset=gbk"/>
    <%@include file="../../../frame/assets/header-all.jsp" %>
    <style>
        .form-line .text-content {
            width: 120px;
        }
    </style>
</head>
<body class="easyui-layout" style="height:100%;overflow: auto">
<form id="childform" class="easyui-form" data-options="novalidate:true">
    <input id="id" type="hidden"/>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">期数：</span>
            <input id="qs" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">镇街：</span>
            <input id="zj" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">六合一编号：</span>
            <input id="lhybh" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">集成指挥平台编号：</span>

            <input id="jczhptbh" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">卡口编号——市局：</span>
            <input id="sjkkbh" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">卡口编号_支队：</span>
            <input id="zdkkbh" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">抓拍单元编码：</span>
            <input id="zpdybm" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">卡口名称 ：</span>
            <input id="kkmc" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">中盟平台名称：</span>
            <input id="zmptmc" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">设备号：</span>
            <input id="sbh" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">方向：</span>
            <input id="fx" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">IP：</span>
            <input id="ip" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">新掩码：</span>
            <input id="ym" class="easyui-textbox"/>
        </div>

        <div class="fl"><span class="text-content">新网关：</span>
            <input id="wg" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">vlan编号：</span>
            <input id="vlan" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">路口代码：</span>
            <input id="lkdm" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">路段代码：</span>
            <input id="lddm" class="easyui-textbox"/>
        </div>
        <div class="fl"><span class="text-content">道路米数：</span>
            <input id="dlms" class="easyui-textbox"/>
        </div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">经度：</span>
            <input id="jd" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">纬度：</span>
            <input id="wd" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">道路名称：</span>
            <input id="dlmc" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">方向类型：</span>
            <input id="fxlx" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">行政区划：</span>
            <input id="xzqh" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">路段类型：</span>
            <input id="ldlx" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">卡口位置类型：</span>
            <input id="kkwzlx" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">卡口应用类型：</span>
            <input id="kkyylx" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">具备拦截条件：</span>
            <input id="jpljtj" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">抓拍方向类型：</span>
            <input id="zpfxlx" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">是否边界卡口：</span>
            <input id="sfbjkk" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">邻界地域：</span>
            <input id="ljdy" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">车道编号：</span>
            <input id="cdbh" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">打车限速：</span>
            <input id="dcxs" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">小车限速：</span>
            <input id="xcxs" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">最低限速：</span>
            <input id="zdxs" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">车道总数：</span>
            <input id="cdzs" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">厂家：</span>
            <input id="cj" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">端口号：</span>
            <input id="dkh" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">用户名：</span>
            <input id="yhm" class="easyui-textbox"/></div>
    </div>
    <div class="form-line clearfix">
        <div class="fl"><span class="text-content">用户密码：</span>
            <input id="yhmm" class="easyui-textbox"/></div>
        <div class="fl"><span class="text-content">设备类型：</span>
            <input id="sblx" class="easyui-textbox"/>
        </div>
    </div>

    <div class="form-line hidden">

    </div>
</form>
</body>
</html>
<script type="text/javascript">
    var winId = $.getUrlParam("winId");
    var records = top.$("#" + winId).panel("options").data;
    $(function () {
        //加载下拉选项
        $('#syrq').datebox({editable: false});
        setTimeout(loadValue, 500);
    });

    function loadValue() {
        if (records) {
        	$("#id").val(records.id);
			$("#qs").textbox("setValue",records.qs);
			$("#zj").textbox("setValue",records.zj);
			$("#lhybh").textbox("setValue",records.lhybh);
			$("#jczhpt").textbox("setValue",records.jczhptb);
			$("#sjkkbh  ").textbox("setValue",records.sjkkbh);
			$("#zdkkbh").textbox("setValue",records.zdkkbh);
			$("#zpdybm").textbox("setValue",records.zpdybm);
			$("#kkmc").textbox("setValue",records.kkmc);
			$("#zmptmc").textbox("setValue",records.zmptmc);
			$("#sbh").textbox("setValue",records.sbh);
			$("#fx").textbox("setValue",records.fx);
			$("#ip").textbox("setValue",records.ip);
			$("#ym").textbox("setValue",records.ym);
			$("#wg").textbox("setValue",records.wg);
			$("#vlan").textbox("setValue",records.vlan);
			$("#lkdm").textbox("setValue",records.lkdm);
			$("#lddm").textbox("setValue",records.lddm);
			$("#dlms").textbox("setValue",records.dlms);
			$("#jd").textbox("setValue",records.jd);
			$("#wd").textbox("setValue",records.wd);
			$("#dlmc").textbox("setValue",records.dlmc);
			$("#fxlx").textbox("setValue",records.fxlx);
			$("#xzqh").textbox("setValue",records.xzqh);
			$("#ldlx").textbox("setValue",records.ldlx);
			$("#kkwzlx").textbox("setValue",records.kkwzlx);
			$("#kkyylx").textbox("setValue",records.kkyylx);
			$("#jpljtj").textbox("setValue",records.jpljtj);
			$("#zpfxlx").textbox("setValue",records.zpfxlx);
			$("#sfbjkk").textbox("setValue",records.sfbjkk);
			$("#ljdy").textbox("setValue",records.ljdy);
			$("#cdbh").textbox("setValue",records.cdbh);
			$("#dcxs").textbox("setValue",records.dcxs);
			$("#xcxs").textbox("setValue",records.xcxs);
			$("#zdxs").textbox("setValue",records.zdxs);
			$("#cdzs").textbox("setValue",records.cdzs);
			$("#cj").textbox("setValue",records.cj);
			$("#dkh").textbox("setValue",records.dkh);
			$("#yhm").textbox("setValue",records.yhm);
			$("#yhmm").textbox("setValue",records.yhmm);
			$("#sblx").textbox("setValue",records.sblx);
        }
    }

    /*
    var xx1 = $("#xx1").textbox("getValue");//文本
    var xx2 = $("#xx2").combobox("getValue");//下拉
    var xx3 = $("#xx3").datetimebox("getValue");//日期
    var xx4 = $("#xx4").numberbox("getValue");//数字
    $('#xx5').combobox({
        url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000',
        textField:"csmc",
        valueField:"csdm",
        panelWidth:148,
        loadFilter:function(data){
            //data.unshift({"csmc":"选择","csdm":""});
            return data;
        }
    });
    $("#xx6").textbox("setValue",records.xx6);
    $("#xx7").combobox("setValue",records.xx7);
    $("#xx8").combobox("setValue",records.xx8);
    $("#xx9").datetimebox("setValue",$.getNowTime());
    $("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
    $("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'
    $("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
    $("#xx13").numberbox("setValue",records.xx13);
    */
</script>
